"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
const noEnum = (0, util_1.createRule)({
    name: "no-enum",
    meta: {
        type: "problem",
        docs: {
            description: "Disallow all types of TypeScript enums",
            recommended: "error",
        },
        messages: {
            noEnum: "In modern TypeScript, you may not need an enum when an object with `as const` could suffice.",
        },
        schema: [],
    },
    defaultOptions: [],
    create: (context) => ({
        TSEnumDeclaration: (node) => {
            context.report({
                node,
                messageId: "noEnum",
            });
        },
    }),
});
exports.default = noEnum;
